
from OFS.Folder import Folder
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Globals import InitializeClass
import os.path
import App.Common

from zope.interface import implements
from interfaces import IDemoFolder

class JsonExamplesFolder(Folder):
    implements(IDemoFolder)

    meta_type='json_examples 0 Main folder (Create this only)'

    def manage_afterAdd(self, container, item):
        if self == container:
            product = self.manage_addProduct['json_examples']
            product.manage_addEditTitleContent('edit_title_content', 'Edit title demo')
            product.manage_addDragCartContent('drag_cart_content', 'Drag cart demo')

InitializeClass(JsonExamplesFolder)

# --
# Product registration and Add support
# --

def manage_addJsonExamples(self, id, REQUEST=None):
    'Add jsonserver examples.'
    id = str(id)
    id = self._setObject(id, JsonExamplesFolder(id))
    folder = self._getOb(id)
    
    if REQUEST is not None:
        try:
            url = self.DestinationURL()
        except: 
            url = REQUEST['URL1']
        REQUEST.RESPONSE.redirect('%s/manage_main' % url)
    return ''

def initialize(context):
    manage_addJsonExamplesForm = PageTemplateFile('browser/jsonexamplesAdd', globals())
    context.registerClass(
        JsonExamplesFolder,
        constructors=(manage_addJsonExamplesForm, manage_addJsonExamples),
        )

