from zope.interface import Interface
from zope.configuration.fields import GlobalObject
from zope.schema import TextLine

class IDisplayHelpDirective(Interface):
    """Displays help in ReST."""
    
    name = TextLine(
         title=u"Name",
         description=u"The name of the requested view.")
  
    for_ = GlobalObject(
        title=u"For Interface",
        description=u"The interface the directive is used for.",
        required=True,
        )
 
    source_path = TextLine(
        title=u"Source path",
        description=u"The name of the help file.",
        required=True,
        )
    
    stylesheet = TextLine(
        title=u"Stylesheet",
        description=u"The name of the stylesheet (resource).",
        required=False,
        )
    
    layer = TextLine(
        title=u"Layer",
        required=False,
        )
    
    permission = TextLine(
        title=u"Permission",
        required=False,
        )
