
from OFS.Folder import Folder
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Globals import InitializeClass
import os.path
import App.Common
from zope.interface import implements
from interfaces import IQuickstartFivelessFolder

class QuickstartFivelessFolder(Folder):
    implements(IQuickstartFivelessFolder)

    meta_type='json_examples Quickstart Fiveless Folder'

    def manage_afterAdd(self, container, item):
        if self == container:
            
            # create the contents
            home = App.Common.package_home(globals())
            
            addPt = self.manage_addProduct['PageTemplates'].manage_addPageTemplate
            addPs = self.manage_addProduct['PythonScripts'].manage_addPythonScript

            def readfile(dir, name):
                return file(os.path.join(home, dir, name)).read()

            for name in ('json_1', 'json_2', 'json_3', 'json_4', 'my_portlet'):
                addPt(name, text=readfile('browser', name + '.pt'))
                
            for name in ('delayed_output', 'my_data', 'my_output', 'uni_data'):
                addPs(name)
                ps = self._getOb(name)
                ps.write(readfile('fiveless', name + '.py'))

InitializeClass(QuickstartFivelessFolder)

# --
# Product registration and Add support
# --

def manage_addQuickstartFivelessFolder(self, id, REQUEST=None):
    'Add jsonserver examples.'
    id = str(id)
    id = self._setObject(id, QuickstartFivelessFolder(id))
    folder = self._getOb(id)
    
    if REQUEST is not None:
        try:
            url = self.DestinationURL()
        except: 
            url = REQUEST['URL1']
        REQUEST.RESPONSE.redirect('%s/manage_main' % url)
    return ''

def initialize(context):
    manage_addQuickstartFivelessFolderForm = PageTemplateFile('fiveless/quickstartFivelessFolderAdd', globals())
    context.registerClass(
        QuickstartFivelessFolder,
        constructors=(manage_addQuickstartFivelessFolderForm, manage_addQuickstartFivelessFolder),
        )
